# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Test.Format
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class Test.Format

Contains specific formatting options for test result information.

### Methods

#### JSON

`static String JSON ( result )`
Returns test results formatted as a JSON string. Requires JSON utility.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  A JSON-formatted string of results.

#### JUnitXML

`static String JUnitXML ( result )`
Returns test results formatted in JUnit XML format.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  An XML-formatted string of results.

#### TAP

`static String TAP ( result )`
Returns test results formatted in TAP format. For more information, see Test Anything Protocol.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  A TAP-formatted string of results.

#### XML

`static String XML ( result )`
Returns test results formatted as an XML string.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  An XML-formatted string of results.

Copyright © 2011 Yahoo! Inc. All rights reserved.